import img.Picture;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.PrintStream;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;
import java.util.Scanner;

import utility.UtilityClass;

public class Question02 {

	public static void main(String[] args) throws IOException {
		PrintStream output = System.out;

		/*
		 * Q02Step01 [4 mark(s)]: Construct an object to encapsulate the URL
		 * described by the string given below.
		 * 
		 * "http://localhost/course_archive/2012-13/F/1710/labtest/LabtestResources/file1.html"
		 * 
		 * 
		 * Obtain a reference to the object that encapsulates the connection,
		 * just like you did in the previous question. Use that object to
		 * construct an InputStream. Construct a Scanner object from the
		 * InputStream. Iterate over the Scanner object until no more content is
		 * found, printing each line to the console.
		 * 
		 * You do not need to cast the URLConnection to an HttpURLConnection.
		 * You may assume that the URL is valid (and don't need to check for invalid URL).
		 */

		String theURLString1 = "http://localhost:7777/course_archive/2012-13/F/1710/labtest/LabtestResources/file1.html";
		theURLString1 = "https://www.cse.yorku.ca/~mb/file1.html";
		URL url = new URL(theURLString1);
		URLConnection urlConnection = url.openConnection();
		InputStream htmlInputStream = urlConnection.getInputStream();

		Scanner dataFromServer = new Scanner(htmlInputStream);
		while (dataFromServer.hasNext()) {
			String currentLine = dataFromServer.nextLine();
			output.println(currentLine);
		}

	}
}
