import java.io.IOException;
import java.io.InputStream;
import java.io.PrintStream;
import java.net.URL;
import java.net.URLConnection;
import java.util.Scanner;

import utility.UtilityClass;

public class Question03 {

	public static void main(String[] args) throws IOException {
		PrintStream output = System.out;

		/*
		 * Q03Step01 [5 mark(s)]: Construct an object to encapsulate the URL
		 * described by the string given below.
		 * 
		 * "http://localhost/course_archive/2012-13/F/1710/labtest/LabtestResources/file1.html"
		 * 
		 * Scrape the content, printing it out, line by line (as you did for
		 * Question02).
		 * 
		 * For each line, perform a test to determine whether the line contains
		 * a paragraph element. Print out each line with a prefix that is a
		 * boolean value (which indicates whether the line contains that
		 * element).
		 * 
		 * A paragraph elements looks like this: <p>Text of the paragraph goes
		 * here</p>
		 */

		String theURLString1 = "http://localhost:7777/course_archive/2012-13/F/1710/labtest/LabtestResources/file1.html";
		theURLString1 = "https://www.cse.yorku.ca/~mb/file1.html";
		URL url = new URL(theURLString1);
		URLConnection urlConnection = url.openConnection();
		InputStream htmlInputStream = urlConnection.getInputStream();

		String REGEX = ".*<p>.*</p>.*";

		Scanner dataFromServer = new Scanner(htmlInputStream);
		while (dataFromServer.hasNext()) {
			String currentLine = dataFromServer.nextLine();
			boolean hasElement = currentLine.matches(REGEX);
			output.println(hasElement + "\t" + currentLine);
		}

	}
}
